<?php
require_once('auth.php');
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Konfiguration bearbeiten - RRZE NavEditor 2.0 - Prototype</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />

<script type="text/javascript" src="js/jquery-1.2.6.pack.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript">
function loadContentCallback(data)
{
	var chkHtml = "";
	for(var i = 0; i < data.length; i++) {
		chkHtml += "<label for=\"chkvlgc" + i.toString() + "\">" + data[i].item + "</label>";
		chkHtml += "<input type=\"checkbox\" id=\"chkvlgc" + i.toString() + "\"" + (data[i].value == 1 ? " checked=\"checked\"" : "") + " value=\"" + data[i].item + "\" />";
		chkHtml += "<br />";
	}
	$("#content1").html(chkHtml);
}

function saveContentCallback(data)
{
	alert(data);
	location.reload();
}

function buildJSON() {
	var arrJSON = [];
	var chks = $("#content1 :checkbox");
	for(var i = 0; i < chks.length; i++) {
		arrJSON.push(
			{
				"item": chks[i].value,
				"value": chks[i].checked == true ? 1 : 0
			}
		);
	}
	return JSON.stringify(arrJSON);
}

/* ---------- Here comes jQuery: ---------- */
$(document).ready(function() {
	$.getJSON("app/conf_vorlagen.php?r=" + Math.random(), {
		"oper": "get_contents"
	}, loadContentCallback); // load tree data
	
	$("#btnUpdate").click(function() {
		if(confirm("Are you sure to save?")) {
			$.post("app/conf_vorlagen.php", {
				"oper": "set_contents",
				"json_data": buildJSON()
			}, saveContentCallback);
		}
	});
});
</script>
</head>

<body>
<div id="wrapper">
	<h1 id="header">Konfiguration bearbeiten - RRZE NavEditor 2.0 - Prototype</h1>
	<div id="navBar">
		<script type="text/javascript" src="js/page_nav.js"></script>
	</div>
	
	<div id="contentPanel1">
		<form action="" method="post" name="frmEdit" id="frmEdit">
			<fieldset>
				<legend>vorlagen.conf</legend>
				<div id="content1"></div>
				<hr size="1" noshade="noshade" />
				<input type="button" id="btnUpdate" name="btnUpdate" value="Update" class="button" />
			</fieldset>
		</form>
	</div>
	
	<div id="footer">&copy; 2007-08 Ke.Chang@rrze.uni-erlangen.de</div>
</div>
</body>

</html>
